Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Error message:

WARNING: Net::DBus::GLib is missing --> Ubuntu One support will be disabled!

WARNING: Image::ExifTool is missing --> writing Exif information will be disabled!

Can't locate Pod/Usage.pm in @INC (@INC contains: /usr/share/shutter/resources/modules /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at /usr/share/shutter/resources/modules/Shutter/App/Options.pm line 36.
BEGIN failed--compilation aborted at /usr/share/shutter/resources/modules/Shutter/App/Options.pm line 36.
Compilation failed in require at /usr/bin/shutter line 151.

How to fix it?

share|improve this question
    
hey what version of Ubuntu you are using ? –  Raja Feb 23 '13 at 14:18

2 Answers 2

WARNING: Net::DBus::GLib is missing --> Ubuntu One support will be disabled!

This is fixed specifically by running in a terminal sudo apt-get install libnet-dbus-glib-perl

WARNING: Image::ExifTool is missing --> writing Exif information will be disabled!

This is fixed specifically by running sudo apt-get install libimage-exiftool-perl

The error about Line 151 means that you are missing a Shutter perl module (or it can't be found for some other reason) and not just missing a required library. Line 151 requires Options.pm, which on my 12.10 system (sorry, I don't have a 12.04 install handy right now) is at /usr/share/perl5/Shutter/App/Options.pm

You may want to try purging and doing a fresh install of Shutter. In a terminal:

sudo apt-get purge shutter

and then

sudo apt-get install shutter
share|improve this answer

Its look like some packages are missing , these are the required packages for Ubuntu 12.04 installation.

Open your terminal and type as

 sudo apt-get install libcommon-sense-perl libextutils-depends-perl libextutils-pkgconfig-perl
  libfile-which-perl libgnome2-canvas-perl libgnome2-gconf-perl libgnome2-perl
  libgnome2-vfs-perl libgnome2-wnck-perl libgnomevfs2-extra libgoo-canvas-perl
  libgoocanvas-common libgoocanvas3 libgtk2-imageview-perl libgtk2-unique-perl
  libgtkimageview0 libhttp-server-simple-perl libjson-perl libjson-xs-perl
  libnet-dbus-perl libpath-class-perl libproc-processtable-perl
  libproc-simple-perl libsort-naturally-perl libtie-ixhash-perl
  libwww-mechanize-perl libx11-protocol-perl libxml-namespacesupport-perl
  libxml-sax-base-perl libxml-sax-expat-perl libxml-sax-perl
  libxml-simple-perl libxml-twig-perl libxml-xpath-perl perlmagick shutter
  libunicode-map8-perl libunicode-string-perl xml-twig-tools imagemagick-doc
  gnome-web-photo libnet-dropbox-api-perl libimage-exiftool-perl
  libnet-dbus-glib-perl

then try again.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.